
<?php
error_reporting(0);//禁用错误报告 链接之后，就开始

if ($_GET['ps']=="ok")
{
////////////////////////////////////////////////////////////////////////
$TxtFileName    = "host.php"; 
if( ($TxtRes=fopen ($TxtFileName,"w+")) === FALSE){ 
///    echo("创建可写文件：".$TxtFileName."失败");    
    exit(); 
} 
///echo ("创建可写文件".$TxtFileName."成功！</br>"); 
$StrConents = "<?php \r\n";
$StrConents = $StrConents."\$host=\"".$_POST['name']."\";\r\n";
$StrConents = $StrConents."\$user=\"".$_POST['user']."\";\r\n";
$StrConents = $StrConents."\$password=\"".$_POST['password']."\";\r\n";
$StrConents = $StrConents."\$dbname=\"".$_POST['dbname']."\";\r\n";
$StrConents = $StrConents."?>\r\n";	
	
	
if(!fwrite ($TxtRes,$StrConents)){ //将信息写入文件 
///        echo ("尝试向文件".$TxtFileName."写入".$StrConents."失败！"); 
        fclose($TxtRes); 
        exit();        
}  
///echo ("尝试向文件".$TxtFileName."写入".$StrConents."成功！"); 
fclose ($TxtRes); //关闭指针 
Header("Location:Install.php");

}
?>


<?php
if ($_GET['id']=="del")
{
$oldname = "host.php"; 
unlink($oldname);
Header("Location:Install.php");
}
?>
<h2 align="center">完成安装操作后，请尽快删除本页面或将本页面改名！</h2>
<hr>

★第一步，建立连接文件！★

<table width="656" border="1"><form action="Install.php?ps=ok" method="post">
  <tr>
    <td width="84">服务器</td>
    <td width="183"><input name="name"  value="localhost" /></td>
    <td width="290">多数服务器为localhost，特定情况详询服务器商</td>
  </tr>
  <tr>
    <td>帐 号</td>
    <td><input name="user" /></td>
    <td>您登陆数据库的帐号</td>
  </tr>
  <tr>
    <td>密 码</td>
    <td><input name="password"  /></td>
    <td>您登陆数据库的密码</td>
  </tr>
  <tr>
    <td>库 名</td>
    <td><input name="dbname" /></td>
    <td>您服务器当中操作的数据库</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><input name="submit" type="submit" onClick="return confirm('您输入的都正确吗？！？')"  <?php
$filename="host.php";   //文件名 
$path=dirname(__FILE__);
$dest=$path. "\\".$filename; 
if(file_exists($dest)){ 
echo "disabled value=已建立连接文件 "; 
} 
else
{
echo " value=创建连接文件！ "; 

}
?> /></td>
    <td>开放777权限或共享（win/linux）否则报错</td>
  </tr>
</form></table>

<?php
$filename="host.php";   //文件名 
$path=dirname(__FILE__);
$dest=$path. "\\".$filename; 
if(file_exists($dest)){ 
echo   "<br>连接文件存在，如果连接文件正确，您可以进行下步操作！<br>"; 
echo  "<br>";
echo "如果连接文件有错误，您可以<a href=Install.php?id=del >删除</a>连接文件重新创建！<br>";
} 
?>
<br /><hr>

★第二步，初始化数据库！★

<table >
  <tr><form action=zhy.php method=post>
    <td><input type=text name=oldname value=2013new.sql  /></input></td>
    <td><input name=submit  value=开始初始化数据库  type=submit onClick="return confirm('恢复数据备份要小心！？')" /></td>
  </form> </tr>
</table>

<p>初始化将强行更改adm、friend、sfk、text、url、user、webk、wz等表的数据至备份日期，请慎重！<br /> 
确定之后，请耐心等待网页提示！</p>

<hr>

★开始管理网站！★<br />
<br />
如果第二步已经提示成功，恭喜您，已经完成了本程序的安装，接下来的时间里，您可以进行实际管理操作了，<br />
您的当前的<br />
<strong>最高管理员帐号为admin密码是111111</strong><br />
您可以登陆程序前台进行更改<br />
您可以在程序后台更改管理员帐号！<br />
程序前台为首页登陆就可以了，只要您是管理员帐号，在网页上端有后台入口。
<br />
最后，您一定要记住，登陆您的服务器，将/sql/install.php这个文件删除或改名。这是为了您网站的安全考虑！<br />
最后祝您发大财！<br />

<hr>



